Subject: Re: bug#64178: replace-regexp ignoring value of org-search-invisible

From: Juri Linkov <[email-masked]>
Date: Sun, 27 Jul 2025 19:49:10 +0300

>> This is a reminder that this old bug report still can't be fixed
>> as long as outlines make the newline of the heading line invisible
>> instead of hiding the last newline of the last line.
>
>> The same problem was discussed in bug#59141 and bug#65896.
>
> Note that those two bugs have been addressed on Org side.
>
>> And a possible solution is to add a variable that shifts the
>> overlay by 1 character.  When this change has no problems,
>> later it could be enabled by default.
>
> But then the "..." ellipsis will be displayed on the next line, right?

Not necessarily.

PS: I postponed this until finishing testing outline related changes
by Stefan to avoid conflicts in the same functions.